#!/bin/bash

LIBUC2DIR=/opt/libuc2

ROOTDIR=`pwd`
mkdir -p src
DESTDIR=`pwd`/buildoutput
mkdir -p $DESTDIR
rm -f -R src/*
rm -f -R $DESTDIR/*

mkdir -p $DESTDIR/bin



tar -xvf $1 -C src

cd src 
cd `ls`

./configure -opensource \
        -confirm-license \
        -prefix "$LIBUC2DIR" \
        -prefix-install \
        -fast \
        -release \
        -no-exceptions \
        -nomake demos \
        -nomake examples \
        -nomake libs \
        -nomake tools \
        -nomake docs \
        -nomake translations \
	-no-xmlpatterns \
	-no-qt3support \
	-no-audio-backend \
	-no-phonon \
	-no-phonon-backend \
	-no-svg -no-webkit \
	-no-javascript-jit \
	-no-script \
	-no-scripttools \
	-no-declarative \
	-no-declarative-debug \
	-no-gui \
	-no-dbus


make -C qmake

cp ./bin/qmake $DESTDIR/bin/qmake-libuc2

mkdir -p $LIBUC2DIR

cp -R $DESTDIR/* $LIBUC2DIR/





































